#
# spec file for package tcpdump (Version 3.9.4)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libpcap libsmi libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           tcpdump
BuildRequires:  libpcap libsmi openssl-devel
Version:        3.9.4
Release:        36
Autoreqprov:    on
License:        BSD 3-Clause
Group:          Productivity/Networking/Diagnostic
URL:            http://www.tcpdump.org/
Summary:        A Packet Sniffer
Source:         %{name}-%{version}.tar.bz2
Source1:        %{name}-qeth
Patch0:         %{name}-%{version}-prototypes.diff
Patch1:         %{name}-%{version}-autoconf.diff
Patch2:         %{name}-%{version}-aliasing.diff
Patch3:         %{name}-%{version}-uninitialized.diff
Patch4:         %{name}-%{version}-juniper.diff
Patch5:         %{name}-%{version}-bgp-overflow.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This program can "read" all or only certain packets going over the
ethernet. It can be used to debug specific network problems.



%debug_package
%prep
%setup -q
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5

%build
%{suse_update_config -f}
mv aclocal.m4 acinclude.m4
aclocal --force
libtoolize --force --copy
autoconf --force
autoheader --force
CFLAGS="$RPM_OPT_FLAGS -Wall -DGUESS_TSO -fstack-protector" \
	./configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--enable-ipv6
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
%ifarch s390 s390x
	install -m755 $RPM_SOURCE_DIR/tcpdump-qeth $RPM_BUILD_ROOT%{_sbindir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES CREDITS LICENSE PLATFORMS *.awk
%doc %{_mandir}/man?/*
%{_sbindir}/*

%changelog
* Thu Jul 12 2007 - prusnak@suse.cz
- fixed bgp overflow (bgp-overflow.diff) [#291356]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 - mjancar@suse.cz
- compile with -fstack-protector
* Mon Jan 09 2006 - mjancar@suse.cz
- update to 3.9.4
- drop obsolete patches
  * tcpdump-3.9.4-overflow.diff
* Thu Sep 01 2005 - mjancar@suse.cz
- enable support for TSO packets (#114159)
* Fri Aug 05 2005 - cthiel@suse.de
- fixed buffer overflow in addrtoname.c:499
* Tue Aug 02 2005 - mjancar@suse.cz
- update to 3.9.3
* Thu Aug 05 2004 - postadal@suse.cz
- updated to version 3.8.3
- removed obsoleted patches (isakmp-fix2, isakmp-fix3, radius-fix)
* Mon Mar 29 2004 - postadal@suse.cz
- fixed overflow in ISAKMP (CAN-2004-0183) [#36828]
* Fri Feb 06 2004 - ro@suse.de
- fix configure.in (test for pcap_debug was broken)
* Tue Jan 20 2004 - postadal@suse.cz
- updated to version 3.8.1
  * fixed security bug in L2TP (CAN-2003-1029)
- removed obsoleted patches (isakmp-buffer-overflow-fix, compile)
- fixed security bugs in these parsers: RADIUS (CAN-2004-0055),
  ISAKMP (CAN-2004-0057) [#33763]
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Tue Jan 06 2004 - postadal@suse.cz
- fixed two remotely exploitable buffer overflows in the ISAKMP parser
  [#33763] (CAN-2003-0989)
* Thu Jul 24 2003 - postadal@suse.cz
- updated to version 3.7.2
- removed obsoleted patches (tcpdump-nfs-fix, tcpdump-isakmp, tcpdump-bgp)
* Wed May 07 2003 - ro@suse.de
- make it compile with current glibc headers
  (move include of netinet/in.h further up)
* Wed Mar 05 2003 - postadal@suse.cz
- fixed security bugs in parsing ISAKMP, BGP and NFS
* Tue Oct 01 2002 - froh@suse.de
- s390/s390x: dumping of qeth interfaces needs some filtering, which
  is accomplished by the new 'tcpdump-qeth' (#15626, #22085)
* Mon May 20 2002 - postadal@suse.de
- fixed bug in displaying NFS traffic
- updated to version 3.7.1
  * support more protocols
  * better Linux libc5 compat
* Wed Apr 03 2002 - postadal@suse.cz
- fixed to compile with autoconf-2.53
* Mon Jun 18 2001 - cihlar@suse.cz
- updated to version 3.6.2
- removed obsolete patches
- compile against package libpcap
* Tue Feb 06 2001 - ro@suse.de
- tcpclice.c: include time.h
- smbutil.c: include time.h
* Fri Jan 19 2001 - bk@suse.de
- Turn off PACKET_RX_RING too. It is not available in lx_sus22 and
  not enabled in our 2.4 kernel configs and causes a warning on
  every start and possible trouble. See bug #5178
* Thu Jan 11 2001 - ak@suse.de
- Turn off PACKET_TRECV. It's not enabled in our kernel and causes some
  problems.
* Fri Nov 24 2000 - ak@suse.de
- Add mb() for ppc
* Tue Nov 14 2000 - ro@suse.de
- groups sorted
* Tue Nov 14 2000 - ak@suse.de
- add some protocols to make it build on 6.1 again
* Mon Nov 13 2000 - ak@suse.de
- add membar fix for sparc
* Sat Nov 11 2000 - ak@suse.de
- fix some buffer overflows.
* Thu May 18 2000 - schwab@suse.de
- Fix missing declaration.
- Fix broken includes.
- Get rid of Makefile.Linux and clean up spec file.
- Update config.{sub,guess}.
* Thu May 11 2000 - ak@suse.de
- add security fix for endless dns looping. From Guy Harris.
* Thu Mar 02 2000 - ak@suse.de
- move man pages to /usr/share/man
* Wed Dec 22 1999 - ak@suse.de
- fix promiscuous mode bug
* Fri Dec 03 1999 - bk@suse.de
- disabled NO_SMP_DEBUG changes by ank(did not compile on sparc)
* Sat Nov 06 1999 - bk@suse.de
- Integrated changes from ak:
  strip tcpdump and a fix a -p crash bug (pcap-maddr-fix)
* Wed Oct 27 1999 - bk@suse.de
- Andi Kleen added patches from Alexey Kuznetsov. Features e.g.:
  - device independent libpcap, Kernel support for new link-layers, e.g. ISDN
  (libpcap uses PF_PACKET,SOCK_DGRAM instead of PF_INET,SOCK_PACKET)
  - IPv6 and APM support, SMB updates
  - libpcap support for "In Kernel Packet Filtering" (CONFIG_FILTER)
- made a libpcapn subpackage which holds the new libpcap for developers.
- Added fix to reestablish old output format of tcpdump from Andi Kleen.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Sep 29 1998 - ro@suse.de
- print_i4l : include net/ethernet.h instead of netinet/if_ether.h for glibc
* Mon Mar 02 1998 - florian@suse.de
- update to version 3.4a6
* Mon Jul 07 1997 - florian@suse.de
- update to version 3.4a5
- added isdn-patches
- update to version 3.4a3
* Sun Apr 13 1997 - florian@suse.de
- update to new version 3.3.1a2 with automatic detection of packet types
* Thu Jan 02 1997 - florian@suse.de
- added the changes distributed with samba
- added isdn patches
